// * 表单校验规则

/**
 * 检测手机号
 * @param value 手机值
 * @param callback 回调函数
 * @returns 返回是否成功
 */
export const checkPhoneNumber = (value: any, callback: any) => {
	const regexp = /^(((13[0-9]{1})|(15[0-9]{1})|(16[0-9]{1})|(17[3-8]{1})|(18[0-9]{1})|(19[0-9]{1})|(14[5-7]{1}))+\d{8})$/;
	if (value === '') callback('请输入手机号码');
	if (!regexp.test(value)) {
		callback(new Error('请输入正确的手机号码'));
	} else {
		return callback();
	}
};

/**
 * 检验邮箱
 * @param value 邮箱
 * @param callback 回调函数
 * @returns 是否符合
 */
export const checkEmail = (value: any, callback: any) => {
	const regexp = /^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$/;
	if (value === '') callback('邮箱格式不正确');
	if (!regexp.test(value)) {
		callback(new Error('邮箱格式不正确'));
	} else {
		return callback();
	}
};
